> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/guides/mobile-emv/ios-framework/start-bluetooth-connection.md).

# Start Bluetooth connection

To start a Bluetooth connection into your iOS app:

{% stepper %}
{% step %}
Add the following code to receive messages from the iOS framework when Bluetooth starts searching for the card reader in an iOS device Bluetooth setting.

{% code lineNumbers="true" %}

```javascript
ClearentConnection *connection = [[ClearentConnection alloc] initBluetoothSearch];
                                  [clearentVP3300 startConnection:connection];
```

{% endcode %}
{% endstep %}

{% step %}
Add the following delegate to discover the card reader in the Bluetooth settings of an iOS device.

{% code lineNumbers="true" %}

```javascript
- (void) bluetoothDevices:(NSArray *)bluetoothDevices;
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/guides/mobile-emv/ios-framework/start-bluetooth-connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
